<?php

include("check_session.php");

?>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>POV-Ray Render</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="/povray/css/bootstrap.min.css">
  <script src="/povray/js/bootstrap.min.js"></script>
</head>

<body>
	<h2><span class="label label-primary">POV-Ray Renderer 3.7</span></h2><br><br>


<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">Control Panel</h3>
  </div>
  <div class="panel-body">
	  
    <button type="button" class="btn btn-default" onclick=" window.history.back();">
      <span class="glyphicon glyphicon-step-backward"></span> Back
    </button>
	  
    <button type="button" class="btn btn-default" onclick="window.open('help/index.html','POV-Ray Documentation','left=100,top=100,width=1100,height=600');">
      <span class="glyphicon glyphicon-question-sign"></span> Documentation
    </button>

  </div>
</div>



<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">Image Rendered</h3>
  </div>
  <div class="panel-body">
  
  <img src="/web_images/pov_scene.png"><br><br>

  </div>
</div>

<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">Parameters</h3>
  </div>
  <div class="panel-body">

<?php

  // Read parameters
  $token_id = $_GET["token_id"];
  $width = $_GET["width"];
  $height = $_GET["height"];
  $antialiasing = $_GET["antialiasing"];
  $quality = $_GET["quality"];

echo "Width : $width<br>";
echo "Height : $height<br>";
echo "Antialiasing : $antialiasing<br>";
echo "Quality : $quality<br>";
echo "Token Id : ".$token_id."<br><br>";
?>

  </div>
</div>

<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">Output Statistics</h3>
  </div>
  <div class="panel-body">

<?php

  // Get Token Id
  $token_id = $_GET["token_id"];

  // Temporary filenames
  $filename = "pov_scene_".$token_id;
  $stdlog = "pov_stdout_".$token_id.".log";
  $errlog = "pov_stderr_".$token_id.".log";
  $dat_filename = $filename.".pov";
  $png_filename = $filename.".png";

  // Web root directory
  $web_root = "/var/services/web";

  // View result for statistics
  exec("cat ".$web_root."/web_images/".$errlog." | grep -v Rendered", $output, $return);

  // Display statistics 
  echo "<pre>";
  foreach($output as $key => $value)
  {
    echo $value . "\n";
  }
  echo "</pre>";


  // Copy PNG image
  exec("cp ".$web_root."/web_images/".$png_filename." ".$web_root."/web_images/pov_scene.png");

  // Clean temporary files
  exec("rm ".$web_root."/web_images/".$dat_filename);
  exec("rm ".$web_root."/web_images/".$png_filename);
  exec("rm ".$web_root."/web_images/".$stdlog);
  exec("rm ".$web_root."/web_images/".$errlog);

?>
  </div>
</div>

<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">Control Panel</h3>
  </div>
  <div class="panel-body">
	  
    <button type="button" class="btn btn-default" onclick=" window.history.back();">
      <span class="glyphicon glyphicon-step-backward"></span> Back
    </button>
	  
    <button type="button" class="btn btn-default" onclick="window.open('help/index.html','POV-Ray Documentation','left=100,top=100,width=1100,height=600');">
      <span class="glyphicon glyphicon-question-sign"></span> Documentation
    </button>

  </div>
</div>


</body>
</html>
